header .topo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: calc(var(--espacamento)*2) calc(var(--espacamento)*8);
    background-color: var(--amarelo-suave);
}

header .topo svg {
    fill: var(--branco-total);
    width: calc(var(--espacamento)*4);
    height: calc(var(--espacamento)*4);
}

header .topo > div,
header .topo > div > div {
    display: flex;
    align-items: center;
}

header .topo p {
    color: var(--branco-total);
    font-size: var(--fs-sm);
    line-height: var(--lh-md);
    opacity: 0.8;
    font-weight: var(--fw-light);
}

header .topo a {
    color: var(--branco-total);
    text-decoration: none;
    transition: ease-in-out .3s all;
    font-size: var(--fs-sm);
    line-height: var(--lh-md);
}

header .redes-sociais {
    gap: calc(var(--espacamento)*4);
}

header .redes-sociais .icons {
    display: flex;
    gap: calc(var(--espacamento)*4);
}

header .contactos {
    gap: calc(var(--espacamento)*4);
}

header .contactos > div {
    gap: calc(var(--espacamento)*2);
    transition: all ease-in-out .3s;
}

header .contactos > div:hover {
    opacity: 0.8;
}

header .topo .traco {
    width: calc(var(--espacamento)*0.3);
    height: calc(var(--espacamento)*3);
    background-color: var(--branco-total);
}

header .contentor-nav {
    display: flex;
    justify-content: space-between;
    padding: 0 calc(var(--espacamento)*8);
    height: calc(var(--espacamento)*18);
}

header .contentor-nav .logo {
    display: flex;
    align-items: center;
}

header .contentor-nav .logo img {
    width: calc(var(--espacamento)*14);
    height: calc(var(--espacamento)*14);
}

header .contentor-nav nav ul {
    list-style: none;
    display: flex;
    align-items: center;
    gap: calc(var(--espacamento)*12);
    height: 100%;
}

header .contentor-nav nav ul li {
    height: 100%;
    display: flex;
    align-items: center;
}

header .contentor-nav nav ul li a {
    text-decoration: none;
    font-size: var(--fs-md);
    line-height: var(--lh-md);
    font-weight: var(--fw-semi-bold);
    color: var(--txt-princiapl);
    height: 100%;
    display: flex;
    align-items: center;
}

header .contentor-nav nav ul li > a:hover {
    opacity: 0.8;
}

header .contentor-nav .reservar {
    display: flex;
    align-items: center;
}

header .contentor-nav .reservar button {
    display: flex;
    align-items: center;
    gap: calc(var(--espacamento)*1);
    padding-inline: calc(var(--espacamento)*4);
    padding-block: calc(var(--espacamento)*2);
    border-radius: var(--br-full);
    border: none;
    color: var(--branco-total);
    font-weight: var(--fw-semi-bold);
    cursor: pointer;
    transition: all ease-in-out .3s;
    background-color: var(--amarelo-suave);
    transition: ease-in-out all .3s;
}

header .contentor-nav .reservar button:hover {
    background-color: color-mix(in srgb, var(--amarelo-suave) 80%, transparent);
}

header .contentor-nav .reservar button svg {
    width: calc(var(--espacamento)*4.5);
    height: calc(var(--espacamento)*4.5);
}

header nav > ul li {
    position: relative;
}

header nav > ul li:nth-child(2) a,
header nav > ul li:nth-child(3) a {
    display: flex;
}

header nav ul li .dropdown {
    position: absolute;
    top: 104%;
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    gap: 0;
    min-width: calc(var(--espacamento)*68);
    border-radius: var(--br-xl);
    height: fit-content;
    padding: calc(var(--espacamento)*3) 0;

    opacity: 0;
    visibility: hidden;
    pointer-events: none; 
    transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s ease;
    background-color: var(--branco-total);
    box-shadow: 0 calc(var(--espacamento)*2.5) calc(var(--espacamento)*4) rgba(0,0,0,0.15);
    z-index: 100;
}

header nav > ul li:hover .dropdown {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

header nav ul li .dropdown li {
    width: 100%;
    padding-block: calc(var(--espacamento)*2);
    padding-inline: calc(var(--espacamento)*2);
    cursor: pointer;
}

header nav ul li .dropdown li a {
    font-size: var(--fs-md);
    line-height: var(--lh-md);
    font-weight: var(--fw-semi-bold);
}

header nav ul li .dropdown li:hover {
    background-color: color-mix(in srgb, var(--amarelo-suave) 60%, transparent);
    width: 100%;
}

header nav ul li > .dropdown li:hover a {
    width: 100%;
}

header nav ul li .dropdown li:hover a {
    color: var(--branco-total);
    opacity: 1;
}

header .aparecer-mobile {
    display: none;
}

header #header-mobile {
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100dvh;
    background-color: var(--branco-puro-suave);
    z-index: 3;
    display: flex;
    flex-direction: column;
    padding: calc(var(--espacamento)*12) calc(var(--espacamento)*4);
    transition: ease-in-out all .3s;
}

header #header-mobile.activo {
    left: 0;
}

header #header-mobile.desactivado {
    left: -100%;
}

header #header-mobile .fechar {
    padding: 0 calc(var(--espacamento)*2);
    display: flex;
    justify-content: flex-end;
}

header #header-mobile .fechar svg {
    fill: var(--txt-preto);
    width: calc(var(--espacamento)*12);
    height: calc(var(--espacamento)*12);
    padding: calc(var(--espacamento)*2);
    cursor: pointer;
    border-radius: var(--br-lg);
}

header #header-mobile .fechar svg:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

header #header-mobile nav ul {
    list-style: none;
}

header #header-mobile nav ul li {
    display: flex;
    border-bottom: 0.8px solid var(--borda);
    justify-content: center;
    flex-direction: column;
}

header #header-mobile nav a{
    flex: 1;
    color: var(--txt-preto);
    font-size: var(--fs-lg);
    line-height: var(--lh-lg);
    letter-spacing: var(--ls-lg);
    font-weight: var(--fw-regular);
    padding: calc(var(--espacamento)*4) calc(var(--espacamento)*2);
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header #header-mobile nav a:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

header #header-mobile .reservar {
    margin-top: calc(var(--espacamento)*4);
}

header #header-mobile .reservar button {
    display: flex;
    align-items: center;
    gap: calc(var(--espacamento) * 2);
    padding: calc(var(--espacamento) * 1.5)  calc(var(--espacamento) * 4);
    border-radius: var(--br-lg);
    border: none;
    font-weight: var(--fw-semi-bold);
    background-color: var(--amarelo);
    cursor: pointer;
    transition: all ease-in-out .3s
}

header #header-mobile .reservar button:hover {
    opacity: 0.9;
}



main {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    min-height: 60dvh;
    position: relative;
    padding: calc(var(--espacamento)*5) calc(var(--espacamento)*8);
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: calc(var(--espacamento)*4);
    background-image: url(../images/banner2.jpg);
}


main .hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 1;
}

main .texto, 
main .botoes,
main .informacoes {
  position: relative;
  z-index: 2;
}

main .hero {
    width: 100%;
    max-width: var(--container-md); 
    display: flex;
    flex-direction: column;
    gap: calc(var(--espacamento)*6); 
}

main .hero .texto {
    display: flex;
    flex-direction: column;
    gap: calc(var(--espacamento)*2);
}

main .hero .texto h1 {
    color: var(--branco-total);
    font-size: var(--fs-5xl);
    line-height: var(--lh-5xl);
}

main .hero .texto h1 span{ 
    color: var(--amarelo);
}

main .hero .texto ul {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    max-width: var(--container-sm); 
    column-gap: calc(var(--espacamento)*0.5);
}

main .hero .texto ul li {
    color: var(--branco-total);
    width: fit-content;
    display: flex;
    align-items: center;
}

main .hero .botoes {
    display: flex;
    gap: calc(var(--espacamento)*4);
}

main .hero .botoes a {
    text-decoration: none;
}

main .hero .botoes a button {
    display: flex;
    align-items: center;
    gap: calc(var(--espacamento)*2);
    padding: calc(var(--espacamento)*2.5);
    border-radius: var(--br-full);
    border: none;
    font-weight: var(--fw-semi-bold);
    background-color: var(--amarelo);
    cursor: pointer;
    transition: all ease-in-out .3s;
}

main .hero .botoes a button:hover {
    background-color: var(--amarelo-hover);
}

main .hero .botoes a:last-child button {
    background-color: transparent;
    border: 1.5px solid var(--branco-total);
    color: var(--branco-total);
}

main .hero .botoes a:last-child:hover button {
    background-color: color-mix(in srgb, var(--branco-total) 30%, transparent)
}

main .informacoes {
    padding: calc(var(--espacamento)*4) calc(var(--espacamento)*8);   
    background-color: color-mix(in srgb, var(--azul-escuro) 70%, transparent);
    border-radius: var(--br-xl);
    display: flex;
    width: fit-content;
    gap: calc(var(--espacamento)*4);
}

main .informacoes .item {
    display: flex;
    gap: calc(var(--espacamento)*2);
}

main .informacoes .item svg {
    width: calc(var(--espacamento)*8);
    height: calc(var(--espacamento)*8);
    fill: var(--amarelo);
}

main .informacoes .item .texto h2 {
    color: var(--branco-total);
    font-size: var(--fs-md);
    font-weight: var(fw-regular);
}

main .informacoes .item .texto p {
    color: var(--branco-total);
    font-weight: var(--fw-light);
}

